<div class="card mb-3">
    <div class="row no-gutters">
        <div class="col-md-12">
            <div class="card-body">
                <div class="row">
                    <div class="col-md-9">
                        <h5 class="card-title">@if(!$post->isPublished())<span class="text-muted">[skica]</span>@endif <a href="{{route('algo.posts.show', $post->id) }}">{{ $post->title }}</a> <small><code>/{{ $post->slug }}</code></small></h5>
                        <p class="card-text">
                            {{ $post->getExcerpt() }}
                            <br />
                            <small class="text-muted">
                                <i class="far fa-folder"></i> <mark><a href="{{route('algo.categories.show', $post->category->id) }}">{{ $post->category->name }}</a></mark>
                                {!! implode(' ', $post->tags->map(function($tag) {
                                    return "<a href='" .route('algo.tags.show', $tag->id) . "'><span class='badge badge-light'>#{$tag->name}</span></a>";
                                })->toArray()) !!}
                            </small>
                        </p>
                        <p class="card-text">
                            <img src="{{ $post->author->getImage('admin.gravatar') }}" class="rounded-circle" alt="{{ $post->author->name }}" width="24">
                            <a href="{{route('algo.users.show', $post->author->id) }}">{{ $post->author->name }}</a>
                            <span style="margin-left: 3px; margin-right: 3px;">&middot;</span>
                            <span class="text-muted">
                                Objava napravljena {{ $post->created_at->diffForHumans() }}
                            </span>
                            @if($post->isFeatured())
                                <span style="margin-left: 3px; margin-right: 3px;">&middot;</span>
                                <span class='badge badge-dark'>@lang('algo::label_featured')</span>
                            @endif
                        </p>
                    </div>
                    <div class="col-md-3 pt-1 text-right">

                        @dropdownSplitButton([
                            'edit_link' =>route('algo.posts.edit', $post->id)
                        ])
                            <a type="button" class="dropdown-item" href="{{route('algo.posts.images.index', $post) }}">Slike</a>
                            <div class="dropdown-divider"></div>
                            <a type="button" href="{{route('algo.posts.destroy', $post->id) }}" data-confirm='Obrisati objavu?' data-id="{{ $post->id }}" class="dropdown-item js-confirm-delete text-danger">@lang('algo::delete')</a>
                            <form style="display: none;" id="delete-form-{{ $post->id }}" method="POST" action="{{route('algo.posts.destroy', $post->id) }}">
                                @csrf
                                @method('DELETE')
                            </form>
                        @enddropdownSplitButton

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>