@extends('algo::layouts.app', [
    'meta_title' => 'Objave | Create'
])

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">Nova objava</div>
                <div class="card-body">
                    @statusAlert

                    {{-- @include('admin.ui.bootstrap4.forms.tmp_errors') --}}

                    @form([
                        'action' =>route('algo.posts.store'),
                        'method' => 'POST'
                    ])
                        @input([
                            'name' => 'title',
                            'label' => trans('algo::label_name'),
                            'placeholder' => trans('algo::placeholder_name'),
                            'required' => true
                        ])

                        @input([
                            'name' => 'slug',
                            'label' => trans('algo::label_slug'),
                            'placeholder' => trans('algo::placeholder_slug'),
                            'help' => trans('algo::leave_field_empty')
                        ])

                        @input([
                            'name' => 'intro',
                            'label' => 'Ukratko',
                            'placeholder' => 'Upišite kratki opis objave'
                        ])

                        @textarea([
                            'name' => 'content',
                            'label' => 'Sadržaj',
                            'help' => 'Za pisanje sadržaja koristite Markdown sintaksu.',
                            'rows' => 7,
                            'required' => true
                        ])

                        @input([
                            'name' => 'video_link',
                            'label' => 'YouTube video link',
                            'placeholder' => 'https://',
                        ])

                        @input([
                            'name' => 'published_at_date',
                            'label' => 'Datum objave',
                            'type' => 'date'
                        ])

                        @input([
                            'name' => 'published_at_time',
                            'label' => 'Vrijeme objave',
                            'type' => 'time'
                        ])

                        @select([
                            'label' => 'Autor',
                            'name' => 'author_id',
                            'options' => $authors,
                            'placeholder' => 'Odaberite autora objave',
                            'required' => true
                        ])

                        @select([
                            'label' => 'Kategorija',
                            'name' => 'category_id',
                            'options' => $categories,
                            'placeholder' => 'Odaberite kategoriju',
                            'required' => true
                        ])

                        @select([
                            'label' => 'Oznake',
                            'name' => 'tags_list[]',
                            'options' => $tags,
                            'placeholder' => 'Odaberite oznake',
                            'multiple' => true
                        ])

                        @checkbox([
                            'label' => trans('algo::label_featured'),
                            'name' => 'featured'
                        ])

                        @submit(['text' => trans('algo::create')])
                    @endform
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
