@php
    $current_locale = $active_locale ?? app()->getLocale();
    $supported_locales = collect(config('translatable.locales'))
        ->reject(function ($locale) use ($current_locale) {
            return $locale == $current_locale;
        })
        ->toArray();
@endphp
<div class="float-right algo-language-switcher">
    <div class="dropdown float-right">
        <button class="btn btn-link btn-sm dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            @lang('algo::locales.' . $current_locale)
        </button>
        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuButton">
            @foreach($supported_locales as $supported_locale)
                <a class="dropdown-item" href="{{ route("blog.{$resource_route_name}.translations.edit", [$model_id, $supported_locale]) }}">@lang('algo::locales.' . $supported_locale)</a>
            @endforeach
        </div>
    </div>
</div>