@extends('algo::layouts.app', [
    'meta_title' => 'Korisnici | Edit'
])

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">Uredi korisnika</div>
                <div class="card-body">
                    @statusAlert

                    {{-- @include('admin.ui.bootstrap4.forms.tmp_errors') --}}

                    @form([
                        'action' =>route('algo.users.update', $user->id),
                        'method' => 'PUT',
                        'files' => true
                    ])
                        @input([
                            'name' => 'image',
                            'label' => 'Slika',
                            'placeholder' => 'Odaberite sliku',
                            'type' => 'file',
                            'class' => 'form-control-file'
                        ])

                        @input([
                            'name' => 'name',
                            'label' => 'Ime',
                            'placeholder' => 'Upišite ime',
                            'value' => $user->name,
                            'required' => true
                        ])

                        @input([
                            'name' => 'slug',
                            'label' => trans('algo::label_slug'),
                            'placeholder' => trans('algo::placeholder_slug'),
                            'value' => $user->getSlug(),
                            'help' => trans('algo::leave_field_empty')
                        ])

                        @input([
                            'name' => 'email',
                            'type' => 'email',
                            'label' => 'Email',
                            'help' => 'Sa ovim email računom se vrši prijava u aplikaciju.',
                            'placeholder' => 'Upišite email adresu',
                            'value' => $user->email,
                            'required' => true
                        ])

                        @input([
                            'name' => 'location',
                            'label' => trans('algo::label_location'),
                            'value' => $user->location,
                            'help' => trans('algo::help_location')
                        ])

                        @input([
                            'name' => 'website',
                            'label' => trans('algo::label_website'),
                            'value' => $user->website,
                            'help' => trans('algo::help_website')
                        ])

                        @input([
                            'name' => 'facebook_profile',
                            'label' => trans('algo::label_facebook_profile'),
                            'placeholder' => trans('algo::placeholder_facebook_profile'),
                            'value' => $user->facebook_profile,
                            'help' => trans('algo::help_facebook_profile')
                        ])

                        @input([
                            'name' => 'twitter_profile',
                            'label' => trans('algo::label_twitter_profile'),
                            'placeholder' => trans('algo::placeholder_twitter_profile'),
                            'value' => $user->twitter_profile,
                            'help' => trans('algo::help_twitter_profile')
                        ])

                        @textarea([
                            'name' => 'bio',
                            'label' => trans('algo::label_bio'),
                            'help' => trans('algo::help_bio'),
                            'rows' => 7
                        ])

                        <br />
                        <hr />
                        <br />

                        @input([
                            'type' => 'password',
                            'name' => 'password',
                            'label' => 'Lozinka'
                        ])

                        @input([
                            'type' => 'password',
                            'name' => 'password_confirmation',
                            'label' => 'Lozinka ponovno'
                        ])

                        @submit(['text' => trans('algo::edit')])
                        <a class="btn btn-link" href="{{route('algo.users.show', $user->id) }}">{{ trans('algo::cancel') }}</a>
                    @endform
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
