@extends('algo::layouts.app', [
    'meta_title' => 'Korisnici | Show'
])

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">Korisnik</div>

                <div class="card-body">
                    @statusAlert

                    <small>Ime</small><br />
                    <h3>{{ $user->name }}</h3>
                    <small>Email</small><br />
                    <h3>{{ $user->email }}</h3>
                    <small>{{ trans('algo::created_at') }}</small><br />
                    <h3>{{ $user->created_at->format('d.m.Y H:i') }}</h3>
                    @if (!is_null($user->updated_at))
                        <small>{{ trans('algo::updated_at') }}</small><br />
                        <h3>{{ $user->updated_at->format('d.m.Y H:i') }}</h3>
                    @endif
                    <div class="mt-4">
                        <a href="{{route('algo.users.edit', $user->id) }}" class="btn btn-sm btn-outline-primary">@lang('algo::edit')</a>
                        <a href="{{route('algo.users.destroy', $user->id) }}" data-id="{{ $user->id }}" data-confirm='Obrisati korisnika?' class="btn btn-sm btn-outline-danger js-confirm-delete">@lang('algo::delete')</a>
                        <form style="display: none;" id="delete-form-{{ $user->id }}" method="POST" action="{{route('algo.users.destroy', $user->id) }}">
                            @csrf
                            @method('DELETE')
                        </form>
                    </div>

                </div>

            </div>
        </div>
    </div>
</div>
@endsection
