<?php

namespace Laravelista\Algo\Helpers;

use Illuminate\Support\Carbon;

class PublishedAt
{
    /**
     * Depending on the given date & time, it
     * returns the database ready datetime value.
     *
     * @param string|null $date
     * @param string|null $time
     * @return string|null
     */
    public function get($date, $time)
    {
        if (is_null($date)) {
            return null;
        }

        if (is_null($time)) {
            return $date . ' ' . Carbon::now()->format('H:i:s');
        }

        return "{$date} {$time}:00";
    }
}