<?php

namespace Laravelista\Algo\Models;

use Illuminate\Database\Eloquent\Model;
use Astrotomic\Translatable\Translatable;
use Laravelista\Algo\Models\Traits\Imageable;

class Category extends Model
{
    use Translatable, Imageable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['name', 'slug', 'description'];

    /**
     * The attributes that are translatable.
     *
     * @var array
     */
    public $translatedAttributes = ['name', 'slug', 'description'];

    /**
     * It returns posts that belong to this category.
     */
    public function posts()
    {
        return $this->hasMany(Post::class);
    }
}
